tbb::interface7::internal::delegated_function< F, void > Class Template Reference

`#include <task_arena.h>`

Inheritance diagram for tbb::interface7::internal::delegated_function< F, void >:
Collaboration diagram for tbb::interface7::internal::delegated_function< F, void >:

## Public Member Functions

| delegated_function (F &f)
void | consume_result () const
Public Member Functions inherited from tbb::interface7::internal::delegate_base
virtual | ~delegate_base ()

## Private Member Functions

void | operator() () const __TBB_override

## Private Attributes

F & | my_func

## Friends

class | task_arena_base

## Detailed Description

### template<typename F>
class tbb::interface7::internal::delegated_function< F, void >

Definition at line 93 of file task_arena.h.

## Constructor & Destructor Documentation

## delegated_function()

template<typename F >

tbb::interface7::internal::delegated_function< F, void >::delegated_function | ( | F & | f | ) |

inline

Definition at line 99 of file task_arena.h.

: my_func(f) {}
tbb::interface7::internal::delegated_function< F, void >::my_func
F & my_func
Definition: task_arena.h:94

## Member Function Documentation

## consume_result()

template<typename F >

void tbb::interface7::internal::delegated_function< F, void >::consume_result | ( |  | ) | const

inline

Definition at line 100 of file task_arena.h.

{}

## operator()()

template<typename F >

void tbb::interface7::internal::delegated_function< F, void >::operator() | ( |  | ) | const

inline private virtual

Implements tbb::interface7::internal::delegate_base.

Definition at line 95 of file task_arena.h.

{
my_func();
}

## Friends And Related Function Documentation

## task_arena_base

template<typename F >

friend class task_arena_base

friend

Definition at line 102 of file task_arena.h.

## Member Data Documentation

## my_func

template<typename F >

F& tbb::interface7::internal::delegated_function< F, void >::my_func

private

Definition at line 94 of file task_arena.h.

The documentation for this class was generated from the following file:

- task_arena.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.